# (kamil) In case of update, update also hyphen-en, it's the same source

Name:           hyphen
Version:        2.8.3
Release:        %mkrel 2
Summary:        A text hyphenation library
License:        LGPLv2+ or MPLv1.1
Group:          System/Internationalization
URL:            http://hunspell.sf.net
Source0:        http://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.gz

BuildRequires:  perl
BuildRequires:  patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%ifarch %{ix86} x86_64
BuildRequires:  valgrind
%endif

%description
Hyphen is a library for high quality hyphenation and justification.


%package devel
Summary:        Files for developing with hyphen
Group:          Development/C++
Requires:       %{name} = %{version}-%{release}

%description devel
This package includes the development files required to build software against
%{name}.


%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%check
%ifarch %{ix86} x86_64
VALGRIND=memcheck make check
%else
make check
%endif

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la

rm %{buildroot}%{_datadir}/hyphen/*

%files
%doc AUTHORS ChangeLog README README.%{name} README.nonstandard TODO
%{_libdir}/*.so.*
%dir %{_datadir}/%{name}

%files devel
%{_includedir}/%{name}.h
%{_libdir}/*.so
%{_bindir}/substrings.pl


%changelog

* Fri Jan 20 2012 kamil <kamil> 2.8.3-2.mga2
+ Revision: 198581
- exclude hyphen-en part from .spec

* Tue Jan 10 2012 kamil <kamil> 2.8.3-1.mga2
+ Revision: 194584
- new version

* Tue Jan 10 2012 kamil <kamil> 2.7.1-2.mga2
+ Revision: 194572
- fix groups
- clean spec

* Fri Jul 08 2011 ahmad <ahmad> 2.7.1-1.mga2
+ Revision: 120177
- Update to 2.7.1
- Improve the description of the -devel sub-package

* Tue Jun 21 2011 ahmad <ahmad> 2.7-3.mga2
+ Revision: 110819
- Use %%configure2_5x

* Fri Jan 28 2011 dmorgan <dmorgan> 2.7-2.mga1
+ Revision: 43120
- Bump release
- Fix groups

* Sun Jan 23 2011 dmorgan <dmorgan> 2.7-1.mga1
+ Revision: 33551
- Use %%mkrel
- imported package hyphen


* Thu Dec 02 2010 Caolán McNamara <caolanm@redhat.com> - 2.7-1
- latest version

* Mon Jul 19 2010 Caolán McNamara <caolanm@redhat.com> - 2.6-1
- latest version
- run make check

* Thu Feb 25 2010 Caolán McNamara <caolanm@redhat.com> - 2.5-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Caolán McNamara <caolanm@redhat.com> - 2.4-4
- make hyphen-en a noarch subpackage

* Fri Jun 12 2009 Caolán McNamara <caolanm@redhat.com> - 2.4-3
- extend coverage

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 02 2008 Caolán McNamara <caolanm@redhat.com> - 2.4-1
- latest version

* Tue Feb 19 2008 Caolán McNamara <caolanm@redhat.com> - 2.3.1-1
- latest version

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.3-2
- Autorebuild for GCC 4.3

* Mon Nov 12 2007 Caolán McNamara <caolanm@redhat.com> - 2.3-1
- initial version
